<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Predial\DestinoEconomico;

class DestinoEconomicoController extends Controller{

    public $path = 'destinoE.';

    public function index(){
        if(!empty(session()->get('usuario'))){
            $data = DestinoEconomico::all();
            return view($this->path.'index', compact('data'));
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function show(){}

    public function create(){
        if(!empty(session()->get('usuario'))){
            return view($this->path.'create');
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function store(Request $request){
        try {
            $new = new DestinoEconomico();
            $new->codigo = $request->txtCodigo;
            $new->nombre = $request->txtNombre;
            $new->save();

            flash()->overlay('Información guardada correctamente.', 'Información');

            return redirect('ListarDestinos');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }

    public function edit($id_unico){
        if(!empty(session()->get('usuario'))){
            $id   = decrypt($id_unico);
            $data = DestinoEconomico::find($id);
            return view($this->path.'edit', compact('data'));
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function update(Request $request){
        try {
            $upd = DestinoEconomico::findOrFail($request->id_unico);
            $upd->codigo = $request->txtCodigo;
            $upd->nombre = $request->txtNombre;
            $upd->save();

            flash()->overlay('Información modificada correctamente', 'Información');

            return redirect('ListarDestinos');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }

    public function destroy($id_unico){
        try {
            $id  = decrypt($id_unico);
            $del = DestinoEconomico::findOrFail($id);
            $del->delete();

            flash()->overlay('Información eliminada correctamente.', 'Información');

            return redirect('ListarDestinos');
        } catch (Exception $e) {
            return "Fatal Error = ".$e->getMessage();
        }
    }
}
